diff -ruN pctel-0.8.6.orig/configure pctel-0.8.6/configure
--- pctel-0.8.6.orig/configure	2001-09-07 13:08:39 +0300
+++ pctel-0.8.6/configure	2003-02-01 14:14:22 +0200
@@ -1470,22 +1470,22 @@
   withval="$with_kernel_includes"
   KERNEL_INCLUDES="$withval"
 else
-  KERNEL_INCLUDES=/usr/src/linux/include
+  KERNEL_INCLUDES=/var/run/kernel
 fi
 
 
   ac_save_CPPFLAGS="$CPPFLAGS"
   CPPFLAGS="$CFLAGS -I$KERNEL_INCLUDES"
-  ac_safe=`echo "$KERNEL_INCLUDES/linux/modversions.h" | sed 'y%./+-%__p_%'`
-echo $ac_n "checking for $KERNEL_INCLUDES/linux/modversions.h""... $ac_c" 1>&6
-echo "configure:1482: checking for $KERNEL_INCLUDES/linux/modversions.h" >&5
+  ac_safe=`echo "$KERNEL_INCLUDES/modversions.h" | sed 'y%./+-%__p_%'`
+echo $ac_n "checking for $KERNEL_INCLUDES/modversions.h""... $ac_c" 1>&6
+echo "configure:1482: checking for $KERNEL_INCLUDES/modversions.h" >&5
 if eval "test \"`echo '$''{'ac_cv_header_$ac_safe'+set}'`\" = set"; then
   echo $ac_n "(cached) $ac_c" 1>&6
 else
   cat > conftest.$ac_ext <<EOF
 #line 1487 "configure"
 #include "confdefs.h"
-#include <$KERNEL_INCLUDES/linux/modversions.h>
+#include <$KERNEL_INCLUDES/modversions.h>
 EOF
 ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
 { (eval echo configure:1492: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
@@ -1526,9 +1526,9 @@
 
   real_kernel_version="`echo $KERNEL_VERSION | sed 's/-[a-zA-Z0-9]*//'`"
 
-  k_version="`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`"
-  k_patch="`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`"
-  k_sub="`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`"
+  k_version="2" #"`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`"
+  k_patch="4" #"`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`"
+  k_sub="18" #"`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`"
 
   v_min="`echo $min_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`"
   p_min="`echo $min_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`"
@@ -1620,9 +1620,9 @@
 
   real_kernel_version="`echo $KERNEL_VERSION | sed 's/-[a-zA-Z0-9]*//'`"
 
-  k_version="`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`"
-  k_patch="`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`"
-  k_sub="`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`"
+  k_version="2" #"`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`"
+  k_patch="4" #"`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`"
+  k_sub="20" #"`echo $real_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`"
 
   v_min="`echo $min_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`"
   p_min="`echo $min_kernel_version | sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`"
diff -ruN pctel-0.8.6.orig/misc/pctel.spec pctel-0.8.6/misc/pctel.spec
--- pctel-0.8.6.orig/misc/pctel.spec	2001-09-07 13:08:43 +0300
+++ pctel-0.8.6/misc/pctel.spec	2003-02-01 14:14:22 +0200
@@ -28,7 +28,7 @@
 
 %install
 if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
-make install prefix=$RPM_BUILD_ROOT%{prefix} moddir=$RPM_BUILD_ROOT/lib/modules/2.4.9-ac7/misc
+make install prefix=$RPM_BUILD_ROOT%{prefix} moddir=$RPM_BUILD_ROOT/lib/modules/2.4.20-alt0.8dsdt-up/misc
 
 %post
 depmod -a
@@ -43,8 +43,8 @@
 
 %files
 %defattr(-,root,root)
-/lib/modules/2.4.9-ac7/misc/pctel.o
-/lib/modules/2.4.9-ac7/misc/ptserial.o
+/lib/modules/2.4.20-alt0.8dsdt-up/misc/pctel.o
+/lib/modules/2.4.20-alt0.8dsdt-up/misc/ptserial.o
 %{prefix}/include/pctel/pctel.h
 %{prefix}/share/doc/pctel/*
 
diff -ruN pctel-0.8.6.orig/src/module/Makefile.am pctel-0.8.6/src/module/Makefile.am
--- pctel-0.8.6.orig/src/module/Makefile.am	2001-09-07 13:07:33 +0300
+++ pctel-0.8.6/src/module/Makefile.am	2003-02-01 14:15:18 +0200
@@ -1,7 +1,7 @@
 
 EXTRA_DIST     = $(pctel_SOURCE)
 
-CFLAGS         = -D__KERNEL__ -DMODULE -Wall -Werror -O -fomit-frame-pointer -DMODVERSIONS -DEXPORT_SYMTAB -D$(HAL_TARGET) $(AUDIO_ROUTING) -I$(top_srcdir)/include -I$(KERNEL_INCLUDES) -include $(KERNEL_INCLUDES)/linux/modversions.h
+CFLAGS         = -D__KERNEL__ -DMODULE -Wall -Werror -O -fomit-frame-pointer -DMODVERSIONS -DEXPORT_SYMTAB -D$(HAL_TARGET) $(AUDIO_ROUTING) -I$(top_srcdir)/include -I$(KERNEL_INCLUDES) -include $(KERNEL_INCLUDES)/modversions.h
 COMPILE        = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 LD             = ld
 LDFLAGS        = -r
diff -ruN pctel-0.8.6.orig/src/module/Makefile.in pctel-0.8.6/src/module/Makefile.in
--- pctel-0.8.6.orig/src/module/Makefile.in	2001-09-07 13:08:50 +0300
+++ pctel-0.8.6/src/module/Makefile.in	2003-02-01 14:15:29 +0200
@@ -84,7 +84,7 @@
 
 EXTRA_DIST = $(pctel_SOURCE)
 
-CFLAGS = -D__KERNEL__ -DMODULE -Wall -Werror -O -fomit-frame-pointer -DMODVERSIONS -DEXPORT_SYMTAB -D$(HAL_TARGET) $(AUDIO_ROUTING) -I$(top_srcdir)/include -I$(KERNEL_INCLUDES) -include $(KERNEL_INCLUDES)/linux/modversions.h
+CFLAGS = -D__KERNEL__ -DMODULE -Wall -Werror -O -fomit-frame-pointer -DMODVERSIONS -DEXPORT_SYMTAB -D$(HAL_TARGET) $(AUDIO_ROUTING) -I$(top_srcdir)/include -I$(KERNEL_INCLUDES) -include $(KERNEL_INCLUDES)/modversions.h
 COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 LD = ld
 LDFLAGS = -r
diff -ruN pctel-0.8.6.orig/src/ptserial/Makefile.am pctel-0.8.6/src/ptserial/Makefile.am
--- pctel-0.8.6.orig/src/ptserial/Makefile.am	2001-09-06 17:41:20 +0300
+++ pctel-0.8.6/src/ptserial/Makefile.am	2003-02-01 14:16:24 +0200
@@ -2,9 +2,9 @@
 EXTRA_DIST      = ptserial-2.4.6.c ptserial-2.4.7.c
 
 BUILD_SYSTEM    = `uname -s -m -r -p`
-GCC_VERSION     = `gcc --version`
+GCC_VERSION     = 3.2.1
 
-CFLAGS          = -D__KERNEL__ -DMODULE -Wall -Werror -O -fomit-frame-pointer -DMODVERSIONS -DEXPORT_SYMTAB -D$(HAL_TARGET) $(AUDIO_ROUTING) -DVERSION=\""$(VERSION)\"" -DBUILD_SYSTEM=\""$(BUILD_SYSTEM)\"" -DGCC_VERSION=\""$(GCC_VERSION)\"" -I$(top_srcdir)/include -I$(KERNEL_INCLUDES) -include $(KERNEL_INCLUDES)/linux/modversions.h
+CFLAGS          = -D__KERNEL__ -DMODULE -Wall -Werror -O -fomit-frame-pointer -DMODVERSIONS -DEXPORT_SYMTAB -D$(HAL_TARGET) $(AUDIO_ROUTING) -DVERSION=\""$(VERSION)\"" -DBUILD_SYSTEM=\""$(BUILD_SYSTEM)\"" -DGCC_VERSION=\""$(GCC_VERSION)\"" -I$(top_srcdir)/include -I$(KERNEL_INCLUDES) -include $(KERNEL_INCLUDES)/modversions.h
 COMPILE         = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 LD              = ld
 LDFLAGS         = -r
diff -ruN pctel-0.8.6.orig/src/ptserial/Makefile.in pctel-0.8.6/src/ptserial/Makefile.in
--- pctel-0.8.6.orig/src/ptserial/Makefile.in	2001-09-07 13:08:51 +0300
+++ pctel-0.8.6/src/ptserial/Makefile.in	2003-02-01 14:16:34 +0200
@@ -85,9 +85,9 @@
 EXTRA_DIST = ptserial-2.4.6.c ptserial-2.4.7.c
 
 BUILD_SYSTEM = `uname -s -m -r -p`
-GCC_VERSION = `gcc --version`
+GCC_VERSION = 3.2.1
 
-CFLAGS = -D__KERNEL__ -DMODULE -Wall -Werror -O -fomit-frame-pointer -DMODVERSIONS -DEXPORT_SYMTAB -D$(HAL_TARGET) $(AUDIO_ROUTING) -DVERSION=\""$(VERSION)\"" -DBUILD_SYSTEM=\""$(BUILD_SYSTEM)\"" -DGCC_VERSION=\""$(GCC_VERSION)\"" -I$(top_srcdir)/include -I$(KERNEL_INCLUDES) -include $(KERNEL_INCLUDES)/linux/modversions.h
+CFLAGS = -D__KERNEL__ -DMODULE -Wall -Werror -O -fomit-frame-pointer -DMODVERSIONS -DEXPORT_SYMTAB -D$(HAL_TARGET) $(AUDIO_ROUTING) -DVERSION=\""$(VERSION)\"" -DBUILD_SYSTEM=\""$(BUILD_SYSTEM)\"" -DGCC_VERSION=\""$(GCC_VERSION)\"" -I$(top_srcdir)/include -I$(KERNEL_INCLUDES) -include $(KERNEL_INCLUDES)/modversions.h
 COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 LD = ld
 LDFLAGS = -r
diff -ruN pctel-0.8.6.orig/src/ptserial/ptserial-2.4.7.c pctel-0.8.6/src/ptserial/ptserial-2.4.7.c
--- pctel-0.8.6.orig/src/ptserial/ptserial-2.4.7.c	2001-09-07 13:54:15 +0300
+++ pctel-0.8.6/src/ptserial/ptserial-2.4.7.c	2003-02-01 14:14:22 +0200
@@ -134,6 +134,10 @@
 #undef SERIAL_PARANOIA_CHECK
 #define CONFIG_SERIAL_NOPAUSE_IO
 #define SERIAL_DO_RESTART
+/*
+#define VERSION 	"0.8.6"
+#define BUILD_SYSTEM	"Linux 2.4.20-alt0.8-up"
+#define GCC_VERSION	"gcc 3.02 GNU" */
 
 #if 0
 /* These defines are normally controlled by the autoconf.h */
@@ -4622,7 +4626,7 @@
 #define PCI_DEVICE_ID_SIIG_2S_10x (PCI_DEVICE_ID_SIIG_2S_10x_550 & 0xfff8)
 
 static int __devinit
-pci_siig10x_fn(struct pci_dev *dev, struct pci_board *board, int enable)
+pci_siig10x_fn_(struct pci_dev *dev, struct pci_board *board, int enable)
 {
        u16 data, *p;
 
@@ -4651,7 +4655,7 @@
 #define PCI_DEVICE_ID_SIIG_2S1P_20x (PCI_DEVICE_ID_SIIG_2S1P_20x_550 & 0xfffc)
 
 static int __devinit
-pci_siig20x_fn(struct pci_dev *dev, struct pci_board *board, int enable)
+pci_siig20x_fn_(struct pci_dev *dev, struct pci_board *board, int enable)
 {
        u8 data;
 
@@ -4916,19 +4920,19 @@
 		0, 0, pci_xircom_fn },
 
 	{ SPCI_FL_BASE2, 1, 460800,			   /* pbn_siig10x_0 */
-		0, 0, pci_siig10x_fn },
+		0, 0, pci_siig10x_fn_ },
 	{ SPCI_FL_BASE2, 1, 921600,			   /* pbn_siig10x_1 */
-		0, 0, pci_siig10x_fn },
+		0, 0, pci_siig10x_fn_ },
 	{ SPCI_FL_BASE2 | SPCI_FL_BASE_TABLE, 2, 921600,   /* pbn_siig10x_2 */
-		0, 0, pci_siig10x_fn },
+		0, 0, pci_siig10x_fn_ },
 	{ SPCI_FL_BASE2 | SPCI_FL_BASE_TABLE, 4, 921600,   /* pbn_siig10x_4 */
-		0, 0, pci_siig10x_fn },
+		0, 0, pci_siig10x_fn_ },
 	{ SPCI_FL_BASE0, 1, 921600,			   /* pbn_siix20x_0 */
-		0, 0, pci_siig20x_fn },
+		0, 0, pci_siig20x_fn_ },
 	{ SPCI_FL_BASE0 | SPCI_FL_BASE_TABLE, 2, 921600,   /* pbn_siix20x_2 */
-		0, 0, pci_siig20x_fn },
+		0, 0, pci_siig20x_fn_ },
 	{ SPCI_FL_BASE0 | SPCI_FL_BASE_TABLE, 4, 921600,   /* pbn_siix20x_4 */
-		0, 0, pci_siig20x_fn },
+		0, 0, pci_siig20x_fn_ },
 
 	{ SPCI_FL_BASE0, 4, 921600, /* IOMEM */		   /* pbn_computone_4 */
 		0x40, 2, NULL, 0x200 },
